Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network154.8.0.0/19
Usable hosts8,190
Subnet mask255.255.224.0
Addresses8,192
Network address
154.8.0.0
Broadcast address
154.8.31.255
First usable
154.8.0.1
Last usable
154.8.31.254
Usable hosts
8,190 (8,192 less the network and broadcast addresses)
Subnet mask
255.255.224.0
Wildcard mask
0.0.31.255 (Cisco ACLs, OSPF)
Prefix length
/19
Type
Public public
Old class
B (default /16)
As numbers
Hex 9A080000 · Integer 2584215552 to 2584223743
Reverse DNS zones
0.8.154.in-addr.arpa
1.8.154.in-addr.arpa
2.8.154.in-addr.arpa
3.8.154.in-addr.arpa
4.8.154.in-addr.arpa
5.8.154.in-addr.arpa
6.8.154.in-addr.arpa
7.8.154.in-addr.arpa
8.8.154.in-addr.arpa
9.8.154.in-addr.arpa
10.8.154.in-addr.arpa
11.8.154.in-addr.arpa
12.8.154.in-addr.arpa
13.8.154.in-addr.arpa
14.8.154.in-addr.arpa
15.8.154.in-addr.arpa
and 16 more
/19 is not on a 8-bit boundary, so it takes 32 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address10011010.00001000.00000000.00000000154.8.0.0
Subnet mask11111111.11111111.11100000.00000000255.255.224.0
Network10011010.00001000.00000000.00000000154.8.0.0
Broadcast10011010.00001000.00011111.11111111154.8.31.255
Split into smaller subnets/28

154.8.0.0/19 makes 512 subnets of /28; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1154.8.0.0/28154.8.0.1 to 154.8.0.14154.8.0.1514
2154.8.0.16/28154.8.0.17 to 154.8.0.30154.8.0.3114
3154.8.0.32/28154.8.0.33 to 154.8.0.46154.8.0.4714
4154.8.0.48/28154.8.0.49 to 154.8.0.62154.8.0.6314
5154.8.0.64/28154.8.0.65 to 154.8.0.78154.8.0.7914
6154.8.0.80/28154.8.0.81 to 154.8.0.94154.8.0.9514
7154.8.0.96/28154.8.0.97 to 154.8.0.110154.8.0.11114
8154.8.0.112/28154.8.0.113 to 154.8.0.126154.8.0.12714
9154.8.0.128/28154.8.0.129 to 154.8.0.142154.8.0.14314
10154.8.0.144/28154.8.0.145 to 154.8.0.158154.8.0.15914
11154.8.0.160/28154.8.0.161 to 154.8.0.174154.8.0.17514
12154.8.0.176/28154.8.0.177 to 154.8.0.190154.8.0.19114
13154.8.0.192/28154.8.0.193 to 154.8.0.206154.8.0.20714
14154.8.0.208/28154.8.0.209 to 154.8.0.222154.8.0.22314
15154.8.0.224/28154.8.0.225 to 154.8.0.238154.8.0.23914
16154.8.0.240/28154.8.0.241 to 154.8.0.254154.8.0.25514
17154.8.1.0/28154.8.1.1 to 154.8.1.14154.8.1.1514
18154.8.1.16/28154.8.1.17 to 154.8.1.30154.8.1.3114
19154.8.1.32/28154.8.1.33 to 154.8.1.46154.8.1.4714
20154.8.1.48/28154.8.1.49 to 154.8.1.62154.8.1.6314
21154.8.1.64/28154.8.1.65 to 154.8.1.78154.8.1.7914
22154.8.1.80/28154.8.1.81 to 154.8.1.94154.8.1.9514
23154.8.1.96/28154.8.1.97 to 154.8.1.110154.8.1.11114
24154.8.1.112/28154.8.1.113 to 154.8.1.126154.8.1.12714
25154.8.1.128/28154.8.1.129 to 154.8.1.142154.8.1.14314
26154.8.1.144/28154.8.1.145 to 154.8.1.158154.8.1.15914
27154.8.1.160/28154.8.1.161 to 154.8.1.174154.8.1.17514
28154.8.1.176/28154.8.1.177 to 154.8.1.190154.8.1.19114
29154.8.1.192/28154.8.1.193 to 154.8.1.206154.8.1.20714
30154.8.1.208/28154.8.1.209 to 154.8.1.222154.8.1.22314
31154.8.1.224/28154.8.1.225 to 154.8.1.238154.8.1.23914
32154.8.1.240/28154.8.1.241 to 154.8.1.254154.8.1.25514
33154.8.2.0/28154.8.2.1 to 154.8.2.14154.8.2.1514
34154.8.2.16/28154.8.2.17 to 154.8.2.30154.8.2.3114
35154.8.2.32/28154.8.2.33 to 154.8.2.46154.8.2.4714
36154.8.2.48/28154.8.2.49 to 154.8.2.62154.8.2.6314
37154.8.2.64/28154.8.2.65 to 154.8.2.78154.8.2.7914
38154.8.2.80/28154.8.2.81 to 154.8.2.94154.8.2.9514
39154.8.2.96/28154.8.2.97 to 154.8.2.110154.8.2.11114
40154.8.2.112/28154.8.2.113 to 154.8.2.126154.8.2.12714
41154.8.2.128/28154.8.2.129 to 154.8.2.142154.8.2.14314
42154.8.2.144/28154.8.2.145 to 154.8.2.158154.8.2.15914
43154.8.2.160/28154.8.2.161 to 154.8.2.174154.8.2.17514
44154.8.2.176/28154.8.2.177 to 154.8.2.190154.8.2.19114
45154.8.2.192/28154.8.2.193 to 154.8.2.206154.8.2.20714
46154.8.2.208/28154.8.2.209 to 154.8.2.222154.8.2.22314
47154.8.2.224/28154.8.2.225 to 154.8.2.238154.8.2.23914
48154.8.2.240/28154.8.2.241 to 154.8.2.254154.8.2.25514
49154.8.3.0/28154.8.3.1 to 154.8.3.14154.8.3.1514
50154.8.3.16/28154.8.3.17 to 154.8.3.30154.8.3.3114
51154.8.3.32/28154.8.3.33 to 154.8.3.46154.8.3.4714
52154.8.3.48/28154.8.3.49 to 154.8.3.62154.8.3.6314
53154.8.3.64/28154.8.3.65 to 154.8.3.78154.8.3.7914
54154.8.3.80/28154.8.3.81 to 154.8.3.94154.8.3.9514
55154.8.3.96/28154.8.3.97 to 154.8.3.110154.8.3.11114
56154.8.3.112/28154.8.3.113 to 154.8.3.126154.8.3.12714
57154.8.3.128/28154.8.3.129 to 154.8.3.142154.8.3.14314
58154.8.3.144/28154.8.3.145 to 154.8.3.158154.8.3.15914
59154.8.3.160/28154.8.3.161 to 154.8.3.174154.8.3.17514
60154.8.3.176/28154.8.3.177 to 154.8.3.190154.8.3.19114
61154.8.3.192/28154.8.3.193 to 154.8.3.206154.8.3.20714
62154.8.3.208/28154.8.3.209 to 154.8.3.222154.8.3.22314
63154.8.3.224/28154.8.3.225 to 154.8.3.238154.8.3.23914
64154.8.3.240/28154.8.3.241 to 154.8.3.254154.8.3.25514
65154.8.4.0/28154.8.4.1 to 154.8.4.14154.8.4.1514
66154.8.4.16/28154.8.4.17 to 154.8.4.30154.8.4.3114
67154.8.4.32/28154.8.4.33 to 154.8.4.46154.8.4.4714
68154.8.4.48/28154.8.4.49 to 154.8.4.62154.8.4.6314
69154.8.4.64/28154.8.4.65 to 154.8.4.78154.8.4.7914
70154.8.4.80/28154.8.4.81 to 154.8.4.94154.8.4.9514
71154.8.4.96/28154.8.4.97 to 154.8.4.110154.8.4.11114
72154.8.4.112/28154.8.4.113 to 154.8.4.126154.8.4.12714
73154.8.4.128/28154.8.4.129 to 154.8.4.142154.8.4.14314
74154.8.4.144/28154.8.4.145 to 154.8.4.158154.8.4.15914
75154.8.4.160/28154.8.4.161 to 154.8.4.174154.8.4.17514
76154.8.4.176/28154.8.4.177 to 154.8.4.190154.8.4.19114
77154.8.4.192/28154.8.4.193 to 154.8.4.206154.8.4.20714
78154.8.4.208/28154.8.4.209 to 154.8.4.222154.8.4.22314
79154.8.4.224/28154.8.4.225 to 154.8.4.238154.8.4.23914
80154.8.4.240/28154.8.4.241 to 154.8.4.254154.8.4.25514
81154.8.5.0/28154.8.5.1 to 154.8.5.14154.8.5.1514
82154.8.5.16/28154.8.5.17 to 154.8.5.30154.8.5.3114
83154.8.5.32/28154.8.5.33 to 154.8.5.46154.8.5.4714
84154.8.5.48/28154.8.5.49 to 154.8.5.62154.8.5.6314
85154.8.5.64/28154.8.5.65 to 154.8.5.78154.8.5.7914
86154.8.5.80/28154.8.5.81 to 154.8.5.94154.8.5.9514
87154.8.5.96/28154.8.5.97 to 154.8.5.110154.8.5.11114
88154.8.5.112/28154.8.5.113 to 154.8.5.126154.8.5.12714
89154.8.5.128/28154.8.5.129 to 154.8.5.142154.8.5.14314
90154.8.5.144/28154.8.5.145 to 154.8.5.158154.8.5.15914
91154.8.5.160/28154.8.5.161 to 154.8.5.174154.8.5.17514
92154.8.5.176/28154.8.5.177 to 154.8.5.190154.8.5.19114
93154.8.5.192/28154.8.5.193 to 154.8.5.206154.8.5.20714
94154.8.5.208/28154.8.5.209 to 154.8.5.222154.8.5.22314
95154.8.5.224/28154.8.5.225 to 154.8.5.238154.8.5.23914
96154.8.5.240/28154.8.5.241 to 154.8.5.254154.8.5.25514
97154.8.6.0/28154.8.6.1 to 154.8.6.14154.8.6.1514
98154.8.6.16/28154.8.6.17 to 154.8.6.30154.8.6.3114
99154.8.6.32/28154.8.6.33 to 154.8.6.46154.8.6.4714
100154.8.6.48/28154.8.6.49 to 154.8.6.62154.8.6.6314
101154.8.6.64/28154.8.6.65 to 154.8.6.78154.8.6.7914
102154.8.6.80/28154.8.6.81 to 154.8.6.94154.8.6.9514
103154.8.6.96/28154.8.6.97 to 154.8.6.110154.8.6.11114
104154.8.6.112/28154.8.6.113 to 154.8.6.126154.8.6.12714
105154.8.6.128/28154.8.6.129 to 154.8.6.142154.8.6.14314
106154.8.6.144/28154.8.6.145 to 154.8.6.158154.8.6.15914
107154.8.6.160/28154.8.6.161 to 154.8.6.174154.8.6.17514
108154.8.6.176/28154.8.6.177 to 154.8.6.190154.8.6.19114
109154.8.6.192/28154.8.6.193 to 154.8.6.206154.8.6.20714
110154.8.6.208/28154.8.6.209 to 154.8.6.222154.8.6.22314
111154.8.6.224/28154.8.6.225 to 154.8.6.238154.8.6.23914
112154.8.6.240/28154.8.6.241 to 154.8.6.254154.8.6.25514
113154.8.7.0/28154.8.7.1 to 154.8.7.14154.8.7.1514
114154.8.7.16/28154.8.7.17 to 154.8.7.30154.8.7.3114
115154.8.7.32/28154.8.7.33 to 154.8.7.46154.8.7.4714
116154.8.7.48/28154.8.7.49 to 154.8.7.62154.8.7.6314
117154.8.7.64/28154.8.7.65 to 154.8.7.78154.8.7.7914
118154.8.7.80/28154.8.7.81 to 154.8.7.94154.8.7.9514
119154.8.7.96/28154.8.7.97 to 154.8.7.110154.8.7.11114
120154.8.7.112/28154.8.7.113 to 154.8.7.126154.8.7.12714
121154.8.7.128/28154.8.7.129 to 154.8.7.142154.8.7.14314
122154.8.7.144/28154.8.7.145 to 154.8.7.158154.8.7.15914
123154.8.7.160/28154.8.7.161 to 154.8.7.174154.8.7.17514
124154.8.7.176/28154.8.7.177 to 154.8.7.190154.8.7.19114
125154.8.7.192/28154.8.7.193 to 154.8.7.206154.8.7.20714
126154.8.7.208/28154.8.7.209 to 154.8.7.222154.8.7.22314
127154.8.7.224/28154.8.7.225 to 154.8.7.238154.8.7.23914
128154.8.7.240/28154.8.7.241 to 154.8.7.254154.8.7.25514
129154.8.8.0/28154.8.8.1 to 154.8.8.14154.8.8.1514
130154.8.8.16/28154.8.8.17 to 154.8.8.30154.8.8.3114
131154.8.8.32/28154.8.8.33 to 154.8.8.46154.8.8.4714
132154.8.8.48/28154.8.8.49 to 154.8.8.62154.8.8.6314
133154.8.8.64/28154.8.8.65 to 154.8.8.78154.8.8.7914
134154.8.8.80/28154.8.8.81 to 154.8.8.94154.8.8.9514
135154.8.8.96/28154.8.8.97 to 154.8.8.110154.8.8.11114
136154.8.8.112/28154.8.8.113 to 154.8.8.126154.8.8.12714
137154.8.8.128/28154.8.8.129 to 154.8.8.142154.8.8.14314
138154.8.8.144/28154.8.8.145 to 154.8.8.158154.8.8.15914
139154.8.8.160/28154.8.8.161 to 154.8.8.174154.8.8.17514
140154.8.8.176/28154.8.8.177 to 154.8.8.190154.8.8.19114
141154.8.8.192/28154.8.8.193 to 154.8.8.206154.8.8.20714
142154.8.8.208/28154.8.8.209 to 154.8.8.222154.8.8.22314
143154.8.8.224/28154.8.8.225 to 154.8.8.238154.8.8.23914
144154.8.8.240/28154.8.8.241 to 154.8.8.254154.8.8.25514
145154.8.9.0/28154.8.9.1 to 154.8.9.14154.8.9.1514
146154.8.9.16/28154.8.9.17 to 154.8.9.30154.8.9.3114
147154.8.9.32/28154.8.9.33 to 154.8.9.46154.8.9.4714
148154.8.9.48/28154.8.9.49 to 154.8.9.62154.8.9.6314
149154.8.9.64/28154.8.9.65 to 154.8.9.78154.8.9.7914
150154.8.9.80/28154.8.9.81 to 154.8.9.94154.8.9.9514
151154.8.9.96/28154.8.9.97 to 154.8.9.110154.8.9.11114
152154.8.9.112/28154.8.9.113 to 154.8.9.126154.8.9.12714
153154.8.9.128/28154.8.9.129 to 154.8.9.142154.8.9.14314
154154.8.9.144/28154.8.9.145 to 154.8.9.158154.8.9.15914
155154.8.9.160/28154.8.9.161 to 154.8.9.174154.8.9.17514
156154.8.9.176/28154.8.9.177 to 154.8.9.190154.8.9.19114
157154.8.9.192/28154.8.9.193 to 154.8.9.206154.8.9.20714
158154.8.9.208/28154.8.9.209 to 154.8.9.222154.8.9.22314
159154.8.9.224/28154.8.9.225 to 154.8.9.238154.8.9.23914
160154.8.9.240/28154.8.9.241 to 154.8.9.254154.8.9.25514
161154.8.10.0/28154.8.10.1 to 154.8.10.14154.8.10.1514
162154.8.10.16/28154.8.10.17 to 154.8.10.30154.8.10.3114
163154.8.10.32/28154.8.10.33 to 154.8.10.46154.8.10.4714
164154.8.10.48/28154.8.10.49 to 154.8.10.62154.8.10.6314
165154.8.10.64/28154.8.10.65 to 154.8.10.78154.8.10.7914
166154.8.10.80/28154.8.10.81 to 154.8.10.94154.8.10.9514
167154.8.10.96/28154.8.10.97 to 154.8.10.110154.8.10.11114
168154.8.10.112/28154.8.10.113 to 154.8.10.126154.8.10.12714
169154.8.10.128/28154.8.10.129 to 154.8.10.142154.8.10.14314
170154.8.10.144/28154.8.10.145 to 154.8.10.158154.8.10.15914
171154.8.10.160/28154.8.10.161 to 154.8.10.174154.8.10.17514
172154.8.10.176/28154.8.10.177 to 154.8.10.190154.8.10.19114
173154.8.10.192/28154.8.10.193 to 154.8.10.206154.8.10.20714
174154.8.10.208/28154.8.10.209 to 154.8.10.222154.8.10.22314
175154.8.10.224/28154.8.10.225 to 154.8.10.238154.8.10.23914
176154.8.10.240/28154.8.10.241 to 154.8.10.254154.8.10.25514
177154.8.11.0/28154.8.11.1 to 154.8.11.14154.8.11.1514
178154.8.11.16/28154.8.11.17 to 154.8.11.30154.8.11.3114
179154.8.11.32/28154.8.11.33 to 154.8.11.46154.8.11.4714
180154.8.11.48/28154.8.11.49 to 154.8.11.62154.8.11.6314
181154.8.11.64/28154.8.11.65 to 154.8.11.78154.8.11.7914
182154.8.11.80/28154.8.11.81 to 154.8.11.94154.8.11.9514
183154.8.11.96/28154.8.11.97 to 154.8.11.110154.8.11.11114
184154.8.11.112/28154.8.11.113 to 154.8.11.126154.8.11.12714
185154.8.11.128/28154.8.11.129 to 154.8.11.142154.8.11.14314
186154.8.11.144/28154.8.11.145 to 154.8.11.158154.8.11.15914
187154.8.11.160/28154.8.11.161 to 154.8.11.174154.8.11.17514
188154.8.11.176/28154.8.11.177 to 154.8.11.190154.8.11.19114
189154.8.11.192/28154.8.11.193 to 154.8.11.206154.8.11.20714
190154.8.11.208/28154.8.11.209 to 154.8.11.222154.8.11.22314
191154.8.11.224/28154.8.11.225 to 154.8.11.238154.8.11.23914
192154.8.11.240/28154.8.11.241 to 154.8.11.254154.8.11.25514
193154.8.12.0/28154.8.12.1 to 154.8.12.14154.8.12.1514
194154.8.12.16/28154.8.12.17 to 154.8.12.30154.8.12.3114
195154.8.12.32/28154.8.12.33 to 154.8.12.46154.8.12.4714
196154.8.12.48/28154.8.12.49 to 154.8.12.62154.8.12.6314
197154.8.12.64/28154.8.12.65 to 154.8.12.78154.8.12.7914
198154.8.12.80/28154.8.12.81 to 154.8.12.94154.8.12.9514
199154.8.12.96/28154.8.12.97 to 154.8.12.110154.8.12.11114
200154.8.12.112/28154.8.12.113 to 154.8.12.126154.8.12.12714
201154.8.12.128/28154.8.12.129 to 154.8.12.142154.8.12.14314
202154.8.12.144/28154.8.12.145 to 154.8.12.158154.8.12.15914
203154.8.12.160/28154.8.12.161 to 154.8.12.174154.8.12.17514
204154.8.12.176/28154.8.12.177 to 154.8.12.190154.8.12.19114
205154.8.12.192/28154.8.12.193 to 154.8.12.206154.8.12.20714
206154.8.12.208/28154.8.12.209 to 154.8.12.222154.8.12.22314
207154.8.12.224/28154.8.12.225 to 154.8.12.238154.8.12.23914
208154.8.12.240/28154.8.12.241 to 154.8.12.254154.8.12.25514
209154.8.13.0/28154.8.13.1 to 154.8.13.14154.8.13.1514
210154.8.13.16/28154.8.13.17 to 154.8.13.30154.8.13.3114
211154.8.13.32/28154.8.13.33 to 154.8.13.46154.8.13.4714
212154.8.13.48/28154.8.13.49 to 154.8.13.62154.8.13.6314
213154.8.13.64/28154.8.13.65 to 154.8.13.78154.8.13.7914
214154.8.13.80/28154.8.13.81 to 154.8.13.94154.8.13.9514
215154.8.13.96/28154.8.13.97 to 154.8.13.110154.8.13.11114
216154.8.13.112/28154.8.13.113 to 154.8.13.126154.8.13.12714
217154.8.13.128/28154.8.13.129 to 154.8.13.142154.8.13.14314
218154.8.13.144/28154.8.13.145 to 154.8.13.158154.8.13.15914
219154.8.13.160/28154.8.13.161 to 154.8.13.174154.8.13.17514
220154.8.13.176/28154.8.13.177 to 154.8.13.190154.8.13.19114
221154.8.13.192/28154.8.13.193 to 154.8.13.206154.8.13.20714
222154.8.13.208/28154.8.13.209 to 154.8.13.222154.8.13.22314
223154.8.13.224/28154.8.13.225 to 154.8.13.238154.8.13.23914
224154.8.13.240/28154.8.13.241 to 154.8.13.254154.8.13.25514
225154.8.14.0/28154.8.14.1 to 154.8.14.14154.8.14.1514
226154.8.14.16/28154.8.14.17 to 154.8.14.30154.8.14.3114
227154.8.14.32/28154.8.14.33 to 154.8.14.46154.8.14.4714
228154.8.14.48/28154.8.14.49 to 154.8.14.62154.8.14.6314
229154.8.14.64/28154.8.14.65 to 154.8.14.78154.8.14.7914
230154.8.14.80/28154.8.14.81 to 154.8.14.94154.8.14.9514
231154.8.14.96/28154.8.14.97 to 154.8.14.110154.8.14.11114
232154.8.14.112/28154.8.14.113 to 154.8.14.126154.8.14.12714
233154.8.14.128/28154.8.14.129 to 154.8.14.142154.8.14.14314
234154.8.14.144/28154.8.14.145 to 154.8.14.158154.8.14.15914
235154.8.14.160/28154.8.14.161 to 154.8.14.174154.8.14.17514
236154.8.14.176/28154.8.14.177 to 154.8.14.190154.8.14.19114
237154.8.14.192/28154.8.14.193 to 154.8.14.206154.8.14.20714
238154.8.14.208/28154.8.14.209 to 154.8.14.222154.8.14.22314
239154.8.14.224/28154.8.14.225 to 154.8.14.238154.8.14.23914
240154.8.14.240/28154.8.14.241 to 154.8.14.254154.8.14.25514
241154.8.15.0/28154.8.15.1 to 154.8.15.14154.8.15.1514
242154.8.15.16/28154.8.15.17 to 154.8.15.30154.8.15.3114
243154.8.15.32/28154.8.15.33 to 154.8.15.46154.8.15.4714
244154.8.15.48/28154.8.15.49 to 154.8.15.62154.8.15.6314
245154.8.15.64/28154.8.15.65 to 154.8.15.78154.8.15.7914
246154.8.15.80/28154.8.15.81 to 154.8.15.94154.8.15.9514
247154.8.15.96/28154.8.15.97 to 154.8.15.110154.8.15.11114
248154.8.15.112/28154.8.15.113 to 154.8.15.126154.8.15.12714
249154.8.15.128/28154.8.15.129 to 154.8.15.142154.8.15.14314
250154.8.15.144/28154.8.15.145 to 154.8.15.158154.8.15.15914
251154.8.15.160/28154.8.15.161 to 154.8.15.174154.8.15.17514
252154.8.15.176/28154.8.15.177 to 154.8.15.190154.8.15.19114
253154.8.15.192/28154.8.15.193 to 154.8.15.206154.8.15.20714
254154.8.15.208/28154.8.15.209 to 154.8.15.222154.8.15.22314
255154.8.15.224/28154.8.15.225 to 154.8.15.238154.8.15.23914
256154.8.15.240/28154.8.15.241 to 154.8.15.254154.8.15.25514

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses